Help - Search - Members - Calendar
Full Version: Mkipkg Problem
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > pdaXrom
w14
I've compiled the latest version of Bestcrypt. I set up vmware player with the cross compile environment as in jerrybme's howto.

The make and make install went fine after a bit of messing with the makefiles.

When I run mkipkg against the temp directory, I'm getting the error:

tar: --exclude=CONTROL: Cannot stat: No such file or directory
tar: error exit delayed from previous errors

Everything seems fine ... all the files and directories are there, including the CONTROL directory with the control file.

Can anyone point me in the right direction?

Cheers,

Mike.
w14
Its ok ... found the answer. Old version of mkipkg.
desertrat
QUOTE(telemetric_au @ Apr 7 2007, 02:53 AM)
more specifically, you needed an old version of tar (eg 1.13  http://www.oesf.org/forums/index.php?showtopic=23649)


blink.gif
I would rather use an "updated" version of mkipkg than downgrade to an old version of tar.
telemetric_au
QUOTE(desertrat @ Apr 7 2007, 07:45 PM)
QUOTE(telemetric_au @ Apr 7 2007, 02:53 AM)
more specifically, you needed an old version of tar (eg 1.13  http://www.oesf.org/forums/index.php?showtopic=23649)


blink.gif
I would rather use an "updated" version of mkipkg than downgrade to an old version of tar.
*




i realise this too now seeing that downgrading tar breaks ipkg installs ..., where can i fnd new verion ??
desertrat
QUOTE(telemetric_au @ Apr 8 2007, 12:54 AM)
i realise this too now seeing that downgrading tar breaks ipkg installs ...,  where can i fnd new verion ??

http://www.oesf.org/index.php?title=Pdaxro...te_An_Ipk_Howto
http://mail.pdaxrom.org/contrib/misc/mkipkg

Perhaps you should edit your other posts on this subject (or delete them).
telemetric_au
QUOTE(desertrat @ Apr 8 2007, 06:43 PM)
QUOTE(telemetric_au @ Apr 8 2007, 12:54 AM)
i realise this too now seeing that downgrading tar breaks ipkg installs ...,  where can i fnd new verion ??

http://www.oesf.org/index.php?title=Pdaxro...te_An_Ipk_Howto
http://mail.pdaxrom.org/contrib/misc/mkipkg

Perhaps you should edit your other posts on this subject (or delete them).
*




thats the one of being trying to use unsuccessfully... is there newwer ??
desertrat
QUOTE(telemetric_au @ Apr 8 2007, 07:57 AM)
thats the one of being trying to use unsuccessfully... is there newwer ??

That's the one I've always been using and my tar is 1.15. Maybe try Meanie's package?:
http://www.oesf.org/forums/index.php?showt...ndpost&p=155263
telemetric_au
ive fixed the mkipkg syntax section thats being problematic, very simple, the new version is attached... for my "documentation" see the readme or the following thread:

http://www.oesf.org/forums/index.php?showtopic=23649

biggrin.gif

coincidently i just fix it and then find the same fix...

http://www.oesf.org/forums/index.php?showt...t=&#entry108895
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.